/******************************************************************************/
/******************************************************************************/
/*                                                                            */
/* Trigger: DTULTATU_REGIAOPED                                                */
/* Tabela : REGIAOPED                                                         */
/*                                                                            */
/* Criao:                                                                   */
/* 29/03/2004 - Raphael Freitas Pinheiro                                      */
/*                                                                            */
/******************************************************************************/

CREATE OR REPLACE TRIGGER DTULTATU_REGIAOPED
BEFORE INSERT OR UPDATE OR DELETE
ON REGIAOPED FOR EACH ROW

BEGIN
   IF INSERTING THEN
      :NEW.DTULTATURPED := SYSDATE;
   END IF;
   IF UPDATING THEN
      IF (NVL(:OLD.CDREGIAOPED,0) <> NVL(:NEW.CDREGIAOPED,0)) OR
         (NVL(:OLD.NMREGIAOPED,0) <> NVL(:NEW.NMREGIAOPED,0)) THEN
         :NEW.DTULTATURPED := SYSDATE;
      END IF;
   END IF;
   IF DELETING THEN
      INSERT INTO DELETECACHE (NMTABLECACHE, CDFILICACHE, DSKEYCACHE, DTULTATUCACH)
                       VALUES ('REGIAOPED', '', 'CDREGIAOPED='||:OLD.CDREGIAOPED||';', SYSDATE);
   END IF;
END;
/

ALTER TABLE REGIAOPED MODIFY DTULTATURPED DEFAULT SYSDATE
/


